Bug 434277 - readahead failed massrebuild attempt for GCC 4.3
readahead failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: readahead (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 10:55 EST by Jesse Keating
Modified: 2013-01-09 22:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 09:20:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 10:55:17 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=441574
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-28 18:08:29 EST
scratch build 477170
Comment 2 Jon Stanley 2008-02-28 19:47:46 EST
readahead-collector.c: In function 'list_write':
readahead-collector.c:965: error: 'PATH_MAX' undeclared (first use in this function)
readahead-collector.c:965: error: (Each undeclared identifier is reported only once
readahead-collector.c:965: error: for each function it appears in.)
readahead-collector.c:965: warning: unused variable 'filename'
readahead-collector.c: In function 'parse_events':
readahead-collector.c:1020: error: 'PATH_MAX' undeclared (first use in this
function)
readahead-collector.c:1054: warning: unused variable 'buff'
readahead-collector.c:1021: warning: unused variable 'cwd'
readahead-collector.c:1020: warning: unused variable 'path'
readahead-collector.c: In function 'myrealpath':
readahead-collector.c:1128: error: 'PATH_MAX' undeclared (first use in this
function)
readahead-collector.c:1128: warning: unused variable 'link_path'
make[2]: *** [readahead-collector.o] Error 1
Comment 3 Karel Zak 2008-03-03 09:20:33 EST
487003 build (dist-f9, devel:readahead-1_4_2-5_fc9) completed successfully

Note You need to log in before you can comment on or make changes to this bug.